import { Appointment } from "./appointment.model";

export interface Consultant {
    agentNo            : string;
    name               : string;
    img                : string;
    expertise          : string[];
    avgScore           : number;
    contactStatus?     : string;
    createTime         : Date | string;
    updateTime         : Date | string;
    customerViewTime?  : Date | string;
    role               : string;
    seniority          : string,
    appointments?      : Appointment[];
}

export interface ConsultantWithAppointmentId extends Consultant {
  appointmentId    : number;
  appointmentDate  : string;
  appointmentScore?: number;
  appointmentStatus: string;
}

